package com.diagbot.dto;

import com.diagbot.biz.push.entity.Lis;
import com.diagbot.biz.push.entity.Pacs;
import com.diagbot.model.label.*;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * crf 解析后各個模塊出參
 *
 * @author kwz (zjlantone)
 * @create 07 30, 2020
 * @since 1.0.0
 */
@Data
public class WordCrfDTO {

    // 年龄
    private Integer age;
    // 性别（1：男，2：女）
    private Integer sex;
    /**
     * 化验项目和结果
     */
    private List<Lis> lis = new ArrayList<>();
    /**
     * 辅检项目和结果
     */
    private List<Pacs> pacs = new ArrayList<>();
    // 主诉
    private ChiefLabel chiefLabel;
    // 现病史
    private PresentLabel presentLabel;
    // 既往史 (如：疾病史、外伤史、传染病史、过敏史、食物过敏史、药物过敏史、输血史、手术史、预防接种史)
    private PastLabel pastLabel;
    // 个人史（如：吸烟史、饮酒史、冶游）
    private PersonalLabel personalLabel;
    // 家族史(如：家族遗传病)
    private FamilyLabel familyLabel;
    // 婚育史
    private MaritalLabel maritalLabel;
    // 月经史
    private MenstrualLabel menstrualLabel;
    // 体格
    private VitalLabel vitalLabel;
    // 诊断
    private DiagLabel diagLabel;

    // 化验
    // private LisLabel lisLabel;
    // 辅检
    // private PacsLabel pacsLabel;
}
